#ifndef WAVEFRONTOBJ_H
#define WAVEFRONTOBJ_H

#include <GL/glew.h>
#include "matrixMath.h"

typedef struct {
	vec3 position;
	vec3 texture;
	vec3 normal;
} vertex;


typedef struct {
	vertex* vertices;
	GLuint length;
} ParsedObjFile;


extern ParsedObjFile readObjFile(char* path);
extern void clearParsedFile(ParsedObjFile file);


#endif